org.fourthline.cling.model.message.discovery

## Class OutgoingNotificationRequestDeviceType

- java.lang.Object
- - org.fourthline.cling.model.message.UpnpMessage<O>
  - - org.fourthline.cling.model.message.OutgoingDatagramMessage<UpnpRequest>
    - - org.fourthline.cling.model.message.discovery.OutgoingNotificationRequest
      - - org.fourthline.cling.model.message.discovery.OutgoingNotificationRequestDeviceType

-     public class OutgoingNotificationRequestDeviceType
      extends OutgoingNotificationRequest

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.UpnpMessage

      `UpnpMessage.BodyType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutgoingNotificationRequestDeviceType(Location location, LocalDevice device, NotificationSubtype type)`

  - ### Method Summary

    - ### Methods inherited from class org.fourthline.cling.model.message.discovery.OutgoingNotificationRequest

      `getType`

    - ### Methods inherited from class org.fourthline.cling.model.message.OutgoingDatagramMessage

      `getDestinationAddress, getDestinationPort, getHeaders`

    - ### Methods inherited from class org.fourthline.cling.model.message.UpnpMessage

      `getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isBodyNonEmptyString, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OutgoingNotificationRequestDeviceType

          public OutgoingNotificationRequestDeviceType(Location location,
                                               LocalDevice device,
                                               NotificationSubtype type)

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.